Table of Contents

## Name

XFree86 - X11R6 X server

## Synopsis

XFree86 [:display] [option ...]

## Description

XFree86 is an X servers for UNIX-like OSs on Intel x86 and other platforms. This work is derived from X386 1.2 which was contributed to X11R5 by Snitily Graphics Consulting Service. The current XFree86 release is based on X11R6.3. The XFree86 X server architecture was redesigned for the 4.0 release, and it includes among other things a loadable module system donated by Metro Link, Inc.

## Configurations

XFree86 operates under the following operating systems:

> -- SVR3.2: SCO 3.2.2, 3.2.4, ISC 3.x, 4.x
> -- SVR4.0: ESIX, Microport, Dell, UHC, Consensys, MST, ISC, AT&T, NCR
> -- SVR4.2: Consensys, Univel (UnixWare)
> -- Solaris (x86) 2.5, 2.6
> -- FreeBSD 2.1.x, 2.2.x, 3.0-current
> -- NetBSD 1.2, 1.3
> -- OpenBSD
> -- Linux
> -- LynxOS AT versions 2.2.1, 2.3.0 and 2.4.0, LynxOS microSPARC 2.4.0

## Network Connections

XFree86 supports connections made using the following reliable byte-streams:

Local
  XFree86 supports local connections via Streams pipe via various mechanisms, using the following paths (n represents the display number):

      /dev/X/server.n (SVR3 and SVR4)
      /dev/X/Nserver.n (SVR4)
      /dev/XnS and /dev/XnR (SCO SVR3)

  On SVR4.0.4, if the Advanced Compatibility Package is installed, and in SVR4.2, XFree86 supports local connections from clients for SCO XSight/ODT, and (with modifications to the binary) clients for ISC SVR3.

Unix Domain
  XFree86 uses /tmp/.X11-unix/Xn as the filename for the socket, where n is the display number.
TCP/IP
  XFree86 listens on port htons(6000+n), where n is the display number.

## Environment Variables

For operating systems that support local connections other than Unix Domain sockets (SVR3 and SVR4), there is a compiled-in list specifying the order in which local connections should be attempted. This list can be overridden by the XLOCAL environment variable described below. If the display name indicates a best-choice connection should be made (e.g. :0.0), each connection mechanism is tried until a connection succeeds or no more mechanisms are available. Note: for these OSs, the Unix Domain socket connection is treated differently from the other local connection types. To use it the connection must be made to unix:0.0.

The XLOCAL environment variable should contain a list of one more more of the following:

    NAMED
    PTS
    SCO
    ISC

which represent SVR4 Named Streams pipe, Old-style USL Streams pipe, SCO XSight Streams pipe, and ISC Streams pipe, respectively. You can select a single mechanism (e.g. XLOCAL=NAMED), or an ordered list (e.g. XLOCAL="NAMED:PTS:SCO"). This variable overrides the compiled-in defaults. For SVR4 it is recommended that NAMED be the first preference connection. The default setting is PTS:NAMED:ISC:SCO.

To globally override the compiled-in defaults, you should define (and export if using sh or ksh) XLOCAL globally. If you use startx/xinit, the definition should be at the top of your .xinitrc file. If you use xdm, the definitions should be early on in the <XRoot>/lib/X11/xdm/Xsession script.

## Options

In addition to the normal server options described in the Xserver(1) manual page, XFree86 accepts the following command line switches:

vtXX
  XX specifies the Virtual Terminal device number which XFree86 will use. Without this option, XFree86 will pick the first available Virtual Terminal that it can locate. This option applies only to SVR3, SVR4, Linux, and BSD OSs with the `syscons' or `pcvt' driver.
-crt /dev/ttyXX
  SCO only. This is the same as the vt option, and is provided for compatibility with the native SCO X server.
-probeonly
  Causes the server to exit after the device probing stage. The XF86Config file is still used when this option is given, so information that can be auto-detected should be commented out.
-quiet
  Suppress most informational messages at startup.
-bpp n
  No longer supported. Use -depth to set the color depth, and use -fbbpp if you really need to force a non-default framebuffer (hardware) pixel format.
-depth n
  Sets the default color depth. Legal values are 8, 15, 16, and 24. Not all servers support all values.
-fbbpp n
  Sets the number of framebuffer bits per pixel. You should only set this if you're sure it's necessary; normally the server can deduce the correct value from -depth above. Useful if you want to run a depth 24 configuration with a 24 bpp framebuffer rather than the (possibly default) 32 bpp framebuffer. Legal values are 8, 16, 24, 32. Not all servers support all values.
-weight nnn
  Set RGB weighting at 16 bpp. The default is 565. This applies only to those servers which support 16 bpp.
-flipPixels
  Swap the default values for the black and white pixels.
-disableVidMode
  Disable the the parts of the VidMode extension used by the xvidtune client that can be used to change the video modes.
-allowNonLocalXvidtune
  Allow the xvidtune client to connect from another host. By default non-local connections are not allowed.
-disableModInDev
  Disable dynamic modification of input device settings.
-allowNonLocalModInDev
  Allow changes to keyboard and mouse settings from non-local clients. By default, connections from non-local clients are not allowed to do this.
-allowMouseOpenFail
  Allow the server to start up even if the mouse device can't be opened or initialised.
-gamma value
  Set the gamma correction. value must be between 0.1 and 10. The default is 1.0 This value is applied equally to the R, G and B values. Not all servers support this.
-rgamma value
  Set the red gamma correction. value must be between 0.1 and 10. The default is 1.0 Not all servers support this.
-ggamma value
  Set the green gamma correction. value must be between 0.1 and 10. The default is 1.0 Not all servers support this.
-bgamma value
  Set the blue gamma correction. value must be between 0.1 and 10. The default is 1.0 Not all servers support this.
-showconfig
  Print out the server version, patchlevel, and a list of screen drivers configured in the server.
-verbose
  Multiple occurrences of this flag increase the amount of information printed on stderr (more than the default).
-version
  Same as -showconfig.
-xf86config file
  Read the server configuration from file. This option will work for any file when the server is run as root (i.e, with real-uid 0), or for files relative to a directory in the config search path for all other users.
-keeptty
  Prevent the server from detaching its initial controlling terminal. This option is only useful when debugging the server.

## Keyboard

Multiple key presses recognized directly by XFree86 are:

Ctrl+Alt+Backspace
  Immediately kills the server -- no questions asked. (Can be disabled by specifying "DontZap" in the ServerFlags section of the XF86Config file.)
Ctrl+Alt+Keypad-Plus
  Change video mode to next one specified in the configuration file, (increasing video resolution order).
Ctrl+Alt+Keypad-Minus
  Change video mode to previous one specified in the configuration file, (decreasing video resolution order).
Ctrl+Alt+F1...F12
  For BSD systems using the syscons driver and Linux, these keystroke combinations are used to switch to Virtual Console 1 through 12.

## Setup

XFree86 uses a configuration file called XF86Config for its initial setup. Refer to the XF86Config(4/5) manual page for more information.

## Files

/etc/XF86Config
  Server configuration file
/etc/X11/XF86Config
  Server configuration file
/usr/X11R6/etc/XF86Config
  Server configuration file
<XRoot>/lib/X11/XF86Config.hostname
  Server configuration file
<XRoot>/lib/X11/XF86Config
  Server configuration file
<XRoot>/bin/*
  Client binaries
<XRoot>/include/*
  Header files
<XRoot>/lib/*
  Libraries
<XRoot>/lib/X11/fonts/*
  Fonts
<XRoot>/lib/X11/rgb.txt
  Color names to RGB mapping
<XRoot>/lib/X11/XErrorDB
  Client error message database
<XRoot>/lib/X11/app-defaults/*
  Client resource specifications
<XRoot>/man/man?/*
  Manual pages
/etc/Xn.hosts
  Initial access control list for display n

Note: <XRoot> refers to the root of the X11 install tree.

## See Also

X(1) , Xserver(1) , xdm(1) , xinit(1) , XF86Config(4/5), xf86config(1) , XF86_SVGA(1) , XF86_VGA16(1) , XF86_Mono(1) , XF86_Accel(1) , xvidtune(1)

## Authors

For X11R5, XF86 1.2 was provided by:

Thomas Roell, roell@informatik.tu-muenchen.de
  TU-Muenchen: Server and SVR4 stuff
Mark W. Snitily, mark@sgcs.com
  SGCS: SVR3 support, X Consortium Sponsor

... and many more people out there on the net who helped with ideas and
bug-fixes.

XFree86 was integrated into X11R6 by the following team:

    Stuart Anderson    anderson@metrolink.com
    Doug Anson         danson@lgc.com
    Gertjan Akkerman   akkerman@dutiba.twi.tudelft.nl
    Mike Bernson       mike@mbsun.mlb.org
    Robin Cutshaw      robin@XFree86.org
    David Dawes        dawes@XFree86.org
    Marc Evans         marc@XFree86.org
    Pascal Haible      haible@izfm.uni-stuttgart.de
    Matthieu Herrb     Matthieu.Herrb@laas.fr
    Dirk Hohndel       hohndel@XFree86.org
    David Holland      davidh@use.com
    Alan Hourihane     alanh@fairlite.demon.co.uk
    Jeffrey Hsu        hsu@soda.berkeley.edu
    Glenn Lai          glenn@cs.utexas.edu
    Ted Lemon          mellon@ncd.com
    Rich Murphey       rich@XFree86.org
    Hans Nasten        nasten@everyware.se
    Mark Snitily       mark@sgcs.com
    Randy Terbush      randyt@cse.unl.edu
    Jon Tombs          tombs@XFree86.org
    Kees Verstoep      versto@cs.vu.nl
    Paul Vixie         paul@vix.com
    Mark Weaver        Mark_Weaver@brown.edu
    David Wexelblat    dwex@XFree86.org
    Philip Wheatley    Philip.Wheatley@ColumbiaSC.NCR.COM
    Thomas Wolfram     wolf@prz.tu-berlin.de
    Orest Zborowski    orestz@eskimo.com

The XFree86 enhancement package was provided by:

David Dawes, dawes@XFree86.org
  Release coordination, administration of FTP repository and mailing lists. Source tree management and integration, accelerated server integration, fixing, and coding.
Glenn Lai, glenn@cs.utexas.edu
  The SpeedUp code for ET4000 based SVGA cards, and ET4000/W32 accelerated server.
Jim Tsillas, jtsilla@ccs.neu.edu
  Many server speedups from the fX386 series of enhancements.
David Wexelblat, dwex@XFree86.org
  Integration of the fX386 code into the default server, many driver fixes, and driver documentation, assembly of the VGA card/monitor database, development of the generic video mode listing. Accelerated server integration, fixing, and coding.
Dirk Hohndel, hohndel@XFree86.org
  Linux shared libraries and release coordination. Accelerated server integration and fixing. Generic administrivia and documentation.

Amancio Hasty Jr., hasty@netcom.com
  Porting to 386BSD version 0.1 and XS3 development.
Rich Murphey, rich@XFree86.org
  Ported to 386BSD version 0.1 based on the original port by Pace Willison. Support for 386BSD, FreeBSD, and NetBSD.
Robert Baron, Robert.Baron@ernst.mach.cs.cmu.edu
  Ported to Mach.
Orest Zborowski, orestz@eskimo.com
  Ported to Linux.
Doug Anson, danson@lgc.com
  Ported to Solaris x86.
David Holland, davidh@use.com
  Ported to Solaris x86.
David McCullough, davidm@stallion.oz.au
  Ported to SCO SVR3.
Michael Rohleder, michael.rohleder@stadt-frankfurt.de
  Ported to ISC SVR3.
Kees Verstoep, versto@cs.vu.nl
  Ported to Amoeba based on Leendert van Doorn's original Amoeba port of X11R5.
Marc Evans, Marc@XFree86.org
  Ported to OSF/1.
Philip Homburg, philip@cs.vu.nl
  Ported to Minix-386vm.
Thomas Mueller, tm@systrix.de
  Ported to LynxOS.
Jon Tombs, tombs@XFree86.org
  S3 server and accelerated server coordination.
Harald Koenig, koenig@tat.physik.uni-tuebingen.de
  S3 server development.
Bernhard Bender, br@elsa.mhs.compuserve.com
  S3 server development.
Kevin Martin, martin@cs.unc.edu
  Overall work on the base accelerated servers (ATI and 8514/A), and Mach64 server.
Rik Faith, faith@cs.unc.edu
  Overall work on the base accelerated servers (ATI and 8514/A).
Tiago Gons, tiago@comosjn.hobby.nl
  Mach8 and 8514/A server development
Hans Nasten, nasten@everyware.se
  Mach8, 8514/A, and S3 server development and BSD/386 support
Mike Bernson, mike@mbsun.mlb.org
  Mach32 server development.
Mark Weaver, Mark_Weaver@brown.edu
  Mach32 server development.
Craig Groeschel, craig@metrolink.com
  Mach32 server development.
Henry Worth, Henry.Worth@amail.amdahl.com
  AGX server.
Erik Nygren, nygren@mit.edu
  P9000 server.
Harry Langenbacher harry@brain.jpl.nasa.gov
  P9000 server.
Chris Mason, mason@mail.csh.rit.edu
  P9000 server.
Henrik Harmsen harmsen@eritel.se
  P9000 server.
Simon Cooper, scooper@vizlab.rutgers.edu
  Cirrus accelerated code (based on work by Bill Reynolds).
Harm Hanemaayer, hhanemaa@cs.ruu.nl
  Cirrus accelerated code, and ARK driver.
Thomas Zerucha, zerucha@shell.portal.com
  Support for Cirrus CL-GD7543.
Leon Bottou, bottou@laforia.ibp.fr
  ARK driver.
Mike Tierney, floyd@eng.umd.edu
  WD accelerated code.
Bill Conn, conn@bnr.ca
  WD accelerated code.
Brad Bosch, brad@lachman.com
  WD 90C24A support.
Alan Hourihane, alanh@fairlite.demon.co.uk
  Trident SVGA driver, SiS SVGA driver and DEC 21030 server.
Marc Aurele La France, tsi@ualberta.ca
  ATI SVGA driver
Steve Goldman, sgoldman@encore.com
  Oak 067/077 SVGA driver.
Jorge Delgado, ernar@dit.upm.es
  Oak SVGA driver, and 087 accelerated code.
Bill Conn, conn@bnr.ca
  WD accelerated code.
Paolo Severini, lendl@dist.dist.unige.it
  AL2101 SVGA driver
Ching-Tai Chiu, cchiu@netcom.com
  Avance Logic ALI SVGA driver
Manfred Brands, mb@oceonics.nl
  Cirrus 64xx SVGA driver
Randy Hendry, randy@sgi.com
  Cirrus 6440 support in the cl64xx SVGA driver
Frank Dikker, dikker@cs.utwente.nl
  MX SVGA driver
Regis Cridlig, cridlig@dmi.ens.fr
  Chips & Technologies driver
Jon Block, block@frc.com
  Chips & Technologies driver
Mike Hollick, hollick@graphics.cis.upenn.edu
  Chips & Technologies driver
Nozomi Ytow
  Chips & Technologies driver
Egbert Eich, Egbert.Eich@Physik.TH-Darmstadt.DE
  Chips & Technologies driver
David Bateman, dbateman@ee.uts.edu.au
  Chips & Technologies driver
Xavier Ducoin, xavier@rd.lectra.fr
  Chips & Technologies driver
Peter Trattler, peter@sbox.tu-graz.ac.at
  RealTek SVGA driver
Craig Struble, cstruble@acm.vt.edu
  Video7 SVGA driver
Gertjan Akkerman, akkerman@dutiba.twi.tudelft.nl
  16 colour VGA server, and XF86Config parser.
Davor Matic, dmatic@Athena.MIT.EDU
  Hercules driver.
Pascal Haible, haible@izfm.uni-stuttgart.de
  Banked monochrome VGA support, Hercules support, and mono frame buffer support for dumb monochrome devices
Martin Schaller,
Geert Uytterhoeven,Geert.Uytterhoeven@cs.kuleuven.ac.be
  Linux/m68k Frame Buffer Device driver
Andreas Schwab, schwab@issan.informatik.uni-dortmund.de
  Linux/m68k Frame Buffer Device driver
Guenther Kelleter, guenther@Pool.Informatik.RWTH-Aachen.de
  Linux/m68k Frame Buffer Device driver
Frederic Lepied, Lepied@XFree86.Org
  XInput extension integration. Wacom, joystick and extended mouse drivers.
Patrick Lecoanet, lecoanet@cena.dgac.fr
  Elographics touchscreen driver.
Steven Lang, tiger@tyger.org
  SummaSketch tablet driver.

... and many more people out there on the net who helped with beta-testing
this enhancement.

XFree86 source is available from the FTP server ftp.XFree86.org, among others. Send email to XFree86@XFree86.org for details.